Bug 220577 - Review Request: imp - webmail
Review Request: imp - webmail
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 189195
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-22 01:10 EST by Brandon Holbrook
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-28 23:57:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brandon Holbrook 2006-12-22 01:10:39 EST
Spec URL: http://theholbrooks.org/RPMS/imp.spec
SRPM URL: http://theholbrooks.org/RPMS/imp-4.1.3-1.src.rpm

Description:
IMP is the Internet Messaging Program, one of the Horde applications.
It provides webmail access to IMAP and POP3 accounts.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with IMP)
please visit http://www.horde.org/.
Comment 1 Brandon Holbrook 2006-12-28 16:49:30 EST
Spec URL: http://theholbrooks.org/RPMS/imp.spec
SRPM URL: http://theholbrooks.org/RPMS/imp-4.1.3-2.src.rpm

Fallout from the horde package review, the symlink to /etc/horde/imp is now
relative.
Comment 2 Jason Tibbitts 2006-12-28 20:01:52 EST
First let's go over the rpmlint complaints.  All of them are bogus in
the context of this package.

E: imp htaccess-file /usr/share/horde/imp/lib/.htaccess
E: imp htaccess-file /usr/share/horde/imp/locale/.htaccess
E: imp htaccess-file /usr/share/horde/imp/po/.htaccess
E: imp htaccess-file /usr/share/horde/imp/scripts/.htaccess
E: imp htaccess-file /usr/share/horde/imp/templates/.htaccess
   Yes, these are htaccess files.  I'm not sure what rpmlint has against them.

E: imp non-readable /etc/horde/imp/conf.xml 0660
E: imp non-readable /etc/horde/imp/filter.txt 0660
E: imp non-readable /etc/horde/imp/filter.txt.dist 0640
E: imp non-readable /etc/horde/imp/header.php 0660
E: imp non-readable /etc/horde/imp/header.php.dist 0640
E: imp non-readable /etc/horde/imp/menu.php 0660
E: imp non-readable /etc/horde/imp/menu.php.dist 0640
E: imp non-readable /etc/horde/imp/mime_drivers.php 0660
E: imp non-readable /etc/horde/imp/mime_drivers.php.dist 0640
E: imp non-readable /etc/horde/imp/motd.php 0660
E: imp non-readable /etc/horde/imp/motd.php.dist 0640
E: imp non-readable /etc/horde/imp/prefs.php 0660
E: imp non-readable /etc/horde/imp/prefs.php.dist 0640
E: imp non-readable /etc/horde/imp/servers.php 0660
E: imp non-readable /etc/horde/imp/servers.php.dist 0640
E: imp non-readable /etc/horde/imp/trailer.txt 0660
E: imp non-readable /etc/horde/imp/trailer.txt.dist 0640
E: imp non-standard-dir-perm /etc/horde/imp 0770
   Permissions restricted as necessary for security.

E: imp non-standard-gid /etc/horde/imp apache
E: imp non-standard-gid /etc/horde/imp/conf.xml apache
E: imp non-standard-gid /etc/horde/imp/filter.txt apache
E: imp non-standard-gid /etc/horde/imp/filter.txt.dist apache
E: imp non-standard-gid /etc/horde/imp/header.php apache
E: imp non-standard-gid /etc/horde/imp/header.php.dist apache
E: imp non-standard-gid /etc/horde/imp/menu.php apache
E: imp non-standard-gid /etc/horde/imp/menu.php.dist apache
E: imp non-standard-gid /etc/horde/imp/mime_drivers.php apache
E: imp non-standard-gid /etc/horde/imp/mime_drivers.php.dist apache
E: imp non-standard-gid /etc/horde/imp/motd.php apache
E: imp non-standard-gid /etc/horde/imp/motd.php.dist apache
E: imp non-standard-gid /etc/horde/imp/prefs.php apache
E: imp non-standard-gid /etc/horde/imp/prefs.php.dist apache
E: imp non-standard-gid /etc/horde/imp/servers.php apache
E: imp non-standard-gid /etc/horde/imp/servers.php.dist apache
E: imp non-standard-gid /etc/horde/imp/trailer.txt apache
E: imp non-standard-gid /etc/horde/imp/trailer.txt.dist apache
E: imp non-standard-uid /etc/horde/imp apache
E: imp non-standard-uid /etc/horde/imp/conf.xml apache
E: imp non-standard-uid /etc/horde/imp/filter.txt apache
E: imp non-standard-uid /etc/horde/imp/filter.txt.dist apache
E: imp non-standard-uid /etc/horde/imp/header.php apache
E: imp non-standard-uid /etc/horde/imp/header.php.dist apache
E: imp non-standard-uid /etc/horde/imp/menu.php apache
E: imp non-standard-uid /etc/horde/imp/menu.php.dist apache
E: imp non-standard-uid /etc/horde/imp/mime_drivers.php apache
E: imp non-standard-uid /etc/horde/imp/mime_drivers.php.dist apache
E: imp non-standard-uid /etc/horde/imp/motd.php apache
E: imp non-standard-uid /etc/horde/imp/motd.php.dist apache
E: imp non-standard-uid /etc/horde/imp/prefs.php apache
E: imp non-standard-uid /etc/horde/imp/prefs.php.dist apache
E: imp non-standard-uid /etc/horde/imp/servers.php apache
E: imp non-standard-uid /etc/horde/imp/servers.php.dist apache
   Ownership set as necessary for security.

W: imp conffile-without-noreplace-flag /etc/horde/imp/conf.xml
W: imp conffile-without-noreplace-flag /etc/horde/imp/filter.txt.dist
W: imp conffile-without-noreplace-flag /etc/horde/imp/header.php.dist
W: imp conffile-without-noreplace-flag /etc/horde/imp/menu.php.dist
W: imp conffile-without-noreplace-flag /etc/horde/imp/mime_drivers.php.dist
W: imp conffile-without-noreplace-flag /etc/horde/imp/motd.php.dist
W: imp conffile-without-noreplace-flag /etc/horde/imp/prefs.php.dist
W: imp conffile-without-noreplace-flag /etc/horde/imp/servers.php.dist
W: imp conffile-without-noreplace-flag /etc/horde/imp/trailer.txt.dist
   These are distributed config files and should not be marked %noreplace.

Review:
* source files match upstream:
   91fb63a44805bdff178c39c9bd1c73c5  imp-h3-4.1.3.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (x86_64, development).
* package installs properly
* rpmlint has only ignoreable complaints.
* final provides and requires are sane:
   config(imp) = 4.1.3-2.fc7
   imp = 4.1.3-2.fc7
  =
   config(imp) = 4.1.3-2.fc7
   horde >= 3
   php >= 4.3.0
   php-imap >= 4.3.0
* %check is not present; no test suite upstream.  Manual testing shows
  everything seems to work OK.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

That was easier than I anticipated.
APPROVED
Comment 3 Brandon Holbrook 2006-12-28 23:57:31 EST
Imported, Built
(http://buildsys.fedoraproject.org/logs/fedora-development-extras/24705-imp-4.1.3-2.fc7/),
Branch Requested

Note You need to log in before you can comment on or make changes to this bug.